com.sun.jna

## Class Structure.FFIType.size_t

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.Structure.FFIType.size_t

- All Implemented Interfaces:
    NativeMapped, java.io.Serializable
  Enclosing class:
    Structure.FFIType

      public static class Structure.FFIType.size_t
      extends IntegerType

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Structure.FFIType.size_t()`
    `Structure.FFIType.size_t(long value)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.IntegerType

      `doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

    - ### Methods inherited from class java.lang.Number

      `byteValue, shortValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Structure.FFIType.size_t

          public Structure.FFIType.size_t()

    - #### Structure.FFIType.size_t

          public Structure.FFIType.size_t(long value)

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.